Gentoo Archives: gentoo-commits

From: "Samuli Suominen (ssuominen)" <ssuominen@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in media-sound/moosic: moosic-1.5.4.ebuild ChangeLog
Date: Fri, 17 Jul 2009 21:10:28
Message-Id: E1MRsan-0003q3-77@stork.gentoo.org
ssuominen    09/07/17 18:55:37

  Modified:             moosic-1.5.4.ebuild ChangeLog
  Log:
  Fix bash-completion install wrt #274738, thanks to Tiago Cunha.
  (Portage version: 2.2_rc33/cvs/Linux x86_64)

Revision  Changes    Path
1.5                  media-sound/moosic/moosic-1.5.4.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild?r1=1.4&r2=1.5

Index: moosic-1.5.4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- moosic-1.5.4.ebuild	28 Jun 2009 12:17:38 -0000	1.4
+++ moosic-1.5.4.ebuild	17 Jul 2009 18:55:37 -0000	1.5
@@ -1,8 +1,8 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild,v 1.4 2009/06/28 12:17:38 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/moosic/moosic-1.5.4.ebuild,v 1.5 2009/07/17 18:55:37 ssuominen Exp $
 
-inherit distutils python multilib
+inherit bash-completion distutils python multilib
 
 DESCRIPTION="Moosic is a music player that focuses on easy playlist management"
 HOMEPAGE="http://www.nanoo.org/~daniel/moosic"
@@ -20,14 +20,13 @@
 src_unpack() {
 	unpack ${A}
 	cd "${S}"
-	sed -i -e 's:distutils.core:setuptools:' setup.py
+	sed -i -e 's:distutils.core:setuptools:' setup.py || die "sed failed"
 }
 
 src_install() {
 	distutils_src_install
 	rm -rf "${D}"/usr/share/doc/${PN}
-	insinto /etc/bash_completion.d
-	newins examples/completion ${PN}
+	dobashcompletion examples/completion ${PN}
 	dodoc doc/{Moosic_API.txt,moosic_hackers.txt,Todo}
 	dodoc examples/server_config
 	use doc && dohtml doc/*.html
@@ -36,6 +35,7 @@
 pkg_postinst() {
 	python_version
 	python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages
+	bash-completion_pkg_postinst
 }
 
 pkg_postrm() {



1.19                 media-sound/moosic/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/ChangeLog?rev=1.19&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/ChangeLog?rev=1.19&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/moosic/ChangeLog?r1=1.18&r2=1.19

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/moosic/ChangeLog,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- ChangeLog	28 Jun 2009 12:17:38 -0000	1.18
+++ ChangeLog	17 Jul 2009 18:55:37 -0000	1.19
@@ -1,6 +1,9 @@
 # ChangeLog for media-sound/moosic
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/moosic/ChangeLog,v 1.18 2009/06/28 12:17:38 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/moosic/ChangeLog,v 1.19 2009/07/17 18:55:37 ssuominen Exp $
+
+  17 Jul 2009; Samuli Suominen <ssuominen@g.o> moosic-1.5.4.ebuild:
+  Fix bash-completion install wrt #274738, thanks to Tiago Cunha.
 
   28 Jun 2009; Markus Meier <maekke@g.o> moosic-1.5.4.ebuild:
   amd64/x86 stable, bug #274738